<template>
  <section class="md:h-full">
    <div
      class="font-bold text-28px text-dark-blue pl-2 pb-1 mb-6 relative leading-none"
    >
      <svg-icon
        class="absolute left-0 bottom-0 z-0"
        style="width: 22px; height: 22px"
        name="icon-title"
      />
      <span class="relative">Trending</span>
    </div>
    <div class="space-y-4">
      <ItemListSmall
        v-for="(item, index) in items"
        :key="'trend-' + index"
        :item="item"
      />
    </div>
  </section>
</template>

<script>
export default {
  name: 'SectionTrending',
  components: {
    ItemListSmall: () => import('~/components/common/ItemListSmall')
  },
  data() {
    return {
      items: [
        {
          title: 'Những mẫu TV trăm triệu đồng đang bán ở Việt Nam',
          image: '/trend-01.png',
          content: ''
        },
        {
          title: 'Một đế chế mới sắp hình thành khiến Trung Quốc "không vui"',
          image: '/trend-02.png',
          content: ''
        },
        {
          title:
            'Giải mã những "công thức bí mật" giúp Galaxy Note20 chinh phục người dùng',
          image: '/trend-03.png',
          content: ''
        }
      ]
    }
  }
}
</script>
